org.eclipse.wst.jsdt.core.dom

## Class ClosureCompilerASTConverter

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.ClosureCompilerASTConverter

    public class ClosureCompilerASTConverter
    extends java.lang.Object

Converts closure compiler's IR model to DOM AST.

### Constructor Summary

Constructors
Constructor and Description
`ClosureCompilerASTConverter(AST t, java.util.List<Comment> comment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ASTNode` `transform(StructuralPropertyDescriptor property, ParseTree tree)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClosureCompilerASTConverter

    public ClosureCompilerASTConverter(AST t,
                                       java.util.List<Comment> comment)

### Method Detail

#### transform

    public ASTNode transform(StructuralPropertyDescriptor property,
                             ParseTree tree)